      * COBELEM.COB
      * Demonstration file for Tal Systems' COBFD Cobol FD Analyzer.
      * This file contains samples of all the various data types
      * so the user can see how the program represents them.
----+----1----+----2----+----3----+----4----+----5----+----6----+----7--
      * Recognized Compiler Directives:
       COPY MyLIB
       ++INCLUDE MYFILE
       SKIP1.
       SKIP2.
       EJECT
      *
       01   UNSIGNED-NUMERICS.
         03  DISPLAY-NUMERIC.
          05  A                     PIC   9(01).
          05  A                     PIC   9(02).
          05  A                     PIC   9(03).
          05  A                     PIC   9(04).
          05  A                     PIC   9(05).
          05  A                     PIC   9(06).
          05  A                     PIC   9(07).
          05  A                     PIC   9(08).
          05  A                     PIC   9(09).
          05  A                     PIC   9(10).
          05  A                     PIC   9(11).
          05  A                     PIC   9(12).
          05  A                     PIC   9(13).
          05  A                     PIC   9(14).
          05  A                     PIC   9(15).
         03 COMP-NUMERIC.
          05  A                     PIC   9(01) COMP.
          05  A                     PIC   9(02) COMP.
          05  A                     PIC   9(03) COMP.
          05  A                     PIC   9(04) COMP.
          05  A                     PIC   9(05) COMP.
          05  A                     PIC   9(06) COMP.
          05  A                     PIC   9(07) COMP.
          05  A                     PIC   9(08) COMP.
          05  A                     PIC   9(09) COMP.
          05  A                     PIC   9(10) COMP.
          05  A                     PIC   9(11) COMP.
          05  A                     PIC   9(12) COMP.
          05  A                     PIC   9(13) COMP.
          05  A                     PIC   9(14) COMP.
          05  A                     PIC   9(15) COMP.
        03  COMP-3-NUMERIC.
          05  A                     PIC   9(01) COMP-3.
          05  A                     PIC   9(02) COMP-3.
          05  A                     PIC   9(03) COMP-3.
          05  A                     PIC   9(04) COMP-3.
          05  A                     PIC   9(05) COMP-3.
          05  A                     PIC   9(06) COMP-3.
          05  A                     PIC   9(07) COMP-3.
          05  A                     PIC   9(08) COMP-3.
          05  A                     PIC   9(09) COMP-3.
          05  A                     PIC   9(10) COMP-3.
          05  A                     PIC   9(11) COMP-3.
          05  A                     PIC   9(12) COMP-3.
          05  A                     PIC   9(13) COMP-3.
          05  A                     PIC   9(14) COMP-3.
          05  A                     PIC   9(15) COMP-3.
        03 COMP-4-NUMERIC.
          05  A                     PIC   9(01) COMP-4.
          05  A                     PIC   9(02) COMP-4.
          05  A                     PIC   9(03) COMP-4.
          05  A                     PIC   9(04) COMP-4.
          05  A                     PIC   9(05) COMP-4.
          05  A                     PIC   9(06) COMP-4.
          05  A                     PIC   9(07) COMP-4.
          05  A                     PIC   9(08) COMP-4.
          05  A                     PIC   9(09) COMP-4.
          05  A                     PIC   9(10) COMP-4.
          05  A                     PIC   9(11) COMP-4.
          05  A                     PIC   9(12) COMP-4.
          05  A                     PIC   9(13) COMP-4.
          05  A                     PIC   9(14) COMP-4.
          05  A                     PIC   9(15) COMP-4.
        03 COMP-5-NUMERIC.
          05  A                     PIC   9(01) COMP-5.
          05  A                     PIC   9(02) COMP-5.
          05  A                     PIC   9(03) COMP-5.
          05  A                     PIC   9(04) COMP-5.
          05  A                     PIC   9(05) COMP-5.
          05  A                     PIC   9(06) COMP-5.
          05  A                     PIC   9(07) COMP-5.
          05  A                     PIC   9(08) COMP-5.
          05  A                     PIC   9(09) COMP-5.
          05  A                     PIC   9(10) COMP-5.
          05  A                     PIC   9(11) COMP-5.
          05  A                     PIC   9(12) COMP-5.
          05  A                     PIC   9(13) COMP-5.
          05  A                     PIC   9(14) COMP-5.
          05  A                     PIC   9(15) COMP-5.

       01   SIGNED-NUMERICS.
        03 SIGNED-DISPLAY-NUMERICS.
          05  A                     PIC   S9(01).
          05  A                     PIC   S9(02).
          05  A                     PIC   S9(03).
          05  A                     PIC   S9(04).
          05  A                     PIC   S9(05).
          05  A                     PIC   S9(06).
          05  A                     PIC   S9(07).
          05  A                     PIC   S9(08).
          05  A                     PIC   S9(09).
          05  A                     PIC   S9(10).
          05  A                     PIC   S9(11).
          05  A                     PIC   S9(12).
          05  A                     PIC   S9(13).
          05  A                     PIC   S9(14).
          05  A                     PIC   S9(15).
        03 COMP-SIGNED-NUMERICS.
          05  A                     PIC   S9(01) COMP.
          05  A                     PIC   S9(02) COMP.
          05  A                     PIC   S9(03) COMP.
          05  A                     PIC   S9(04) COMP.
          05  A                     PIC   S9(05) COMP.
          05  A                     PIC   S9(06) COMP.
          05  A                     PIC   S9(07) COMP.
          05  A                     PIC   S9(08) COMP.
          05  A                     PIC   S9(09) COMP.
          05  A                     PIC   S9(10) COMP.
          05  A                     PIC   S9(11) COMP.
          05  A                     PIC   S9(12) COMP.
          05  A                     PIC   S9(13) COMP.
          05  A                     PIC   S9(14) COMP.
          05  A                     PIC   S9(15) COMP.
        03 COMP-3-SIGNED-NUMERICS.
          05  A                     PIC   S9(01) COMP-3.
          05  A                     PIC   S9(02) COMP-3.
          05  A                     PIC   S9(03) COMP-3.
          05  A                     PIC   S9(04) COMP-3.
          05  A                     PIC   S9(05) COMP-3.
          05  A                     PIC   S9(06) COMP-3.
          05  A                     PIC   S9(07) COMP-3.
          05  A                     PIC   S9(08) COMP-3.
          05  A                     PIC   S9(09) COMP-3.
          05  A                     PIC   S9(10) COMP-3.
          05  A                     PIC   S9(11) COMP-3.
          05  A                     PIC   S9(12) COMP-3.
          05  A                     PIC   S9(13) COMP-3.
          05  A                     PIC   S9(14) COMP-3.
          05  A                     PIC   S9(15) COMP-3.
       03 COMP-4-SIGNED-NUMERICS.
          05  A                     PIC   S9(01) COMP-4.
          05  A                     PIC   S9(02) COMP-4.
          05  A                     PIC   S9(03) COMP-4.
          05  A                     PIC   S9(04) COMP-4.
          05  A                     PIC   S9(05) COMP-4.
          05  A                     PIC   S9(06) COMP-4.
          05  A                     PIC   S9(07) COMP-4.
          05  A                     PIC   S9(08) COMP-4.
          05  A                     PIC   S9(09) COMP-4.
          05  A                     PIC   S9(10) COMP-4.
          05  A                     PIC   S9(11) COMP-4.
          05  A                     PIC   S9(12) COMP-4.
          05  A                     PIC   S9(13) COMP-4.
          05  A                     PIC   S9(14) COMP-4.
          05  A                     PIC   S9(15) COMP-4.
        03  COMP-5-SIGNED-NUMERICS.
          05  A                     PIC   S9(01) COMP-5.
          05  A                     PIC   S9(02) COMP-5.
          05  A                     PIC   S9(03) COMP-5.
          05  A                     PIC   S9(04) COMP-5.
          05  A                     PIC   S9(05) COMP-5.
          05  A                     PIC   S9(06) COMP-5.
          05  A                     PIC   S9(07) COMP-5.
          05  A                     PIC   S9(08) COMP-5.
          05  A                     PIC   S9(09) COMP-5.
          05  A                     PIC   S9(10) COMP-5.
          05  A                     PIC   S9(11) COMP-5.
          05  A                     PIC   S9(12) COMP-5.
          05  A                     PIC   S9(13) COMP-5.
          05  A                     PIC   S9(14) COMP-5.
          05  A                     PIC   S9(15) COMP-5.

        03  COMP-X-NUMERICS.
          05  A                     PIC   9(01) COMP-X.
          05  A                     PIC   9(02) COMP-X.
          05  A                     PIC   9(03) COMP-X.
          05  A                     PIC   9(04) COMP-X.
          05  A                     PIC   9(05) COMP-X.
          05  A                     PIC   9(06) COMP-X.
          05  A                     PIC   9(07) COMP-X.
          05  A                     PIC   9(08) COMP-X.
          05  A                     PIC   9(09) COMP-X.
          05  A                     PIC   9(10) COMP-X.
          05  A                     PIC   9(11) COMP-X.
          05  A                     PIC   9(12) COMP-X.
          05  A                     PIC   9(13) COMP-X.
          05  A                     PIC   9(14) COMP-X.
          05  A                     PIC   9(15) COMP-X.
         03  COMP-X-ALPHA.
          05  A                     PIC   X(01) COMP-X
          05  A                     PIC   X(02) COMP-X.
          05  A                     PIC   X(03) COMP-X.
          05  A                     PIC   X(04) COMP-X.
          05  A                     PIC   X(05) COMP-X.
          05  A                     PIC   X(06) COMP-X.
          05  A                     PIC   X(07) COMP-X.
          05  A                     PIC   X(08) COMP-X.
          05  A                     PIC   X(09) COMP-X.
          05  A                     PIC   X(10) COMP-X.
          05  A                     PIC   X(11) COMP-X.
          05  A                     PIC   X(12) COMP-X.
          05  A                     PIC   X(13) COMP-X.
          05  A                     PIC   X(14) COMP-X.
          05  A                     PIC   X(15) COMP-X.


       01 VARIOUS-ALPHANUMERIC-PICTURES.
          05  PIC-Z-IN-NUMERICS     PIC Z(9)V99.
          05  BLANKS-IN-NUMERICS    PIC BB9(6)V99B.
          05  SEPARATE-LEADING-SIGN PIC S9(6)
                                    SIGN IS SEPARATE LEADING.
          05  COMMON-DATE-EDIT      PIC Z9/99/99.
          05  COMMON-TIME-EDIT      PIC Z9:99:99.
          05  PIC-X-WITH-VALUES     PIC X(25) VALUE
                "COMP-3 REDEFINES" .

      * END OF SAMPLE DATA FILE COBELEM.COB
